Saturday, October 17, 2009

Eclipse and Android Development Tools Issue

I attempted to install Eclipse and the ADT on my main computer at home and ran into a problem, I couldn’t get the Eclipse Plugins to install. I’ve installed this setup several times, on Windows XP, Windows 7 and Fedora 11 without any prior issues. My home computer is running Windows 7 x64. When I attempted to install the Plugins through Eclipse I got the following error:

Cannot complete the install because one or more required items could not be found.
Software being installed: Android Development Tools 0.9.3.v200909031112-12945 (com.android.ide.eclipse.adt.feature.group 0.9.3.v200909031112-12945)
Missing requirement: Android Development Tools 0.9.3.v200909031112-12945 (com.android.ide.eclipse.adt.feature.group 0.9.3.v200909031112-12945) requires 'org.eclipse.wst.sse.core 0.0.0' but it could not be found

I Googled the problem and got several results but none of the solutions resolved my problem. I then considered my other configurations and the difference in this instance. The main difference was that I had unzipped Eclipse into C:\Programs Files (x86)\. On the other machines I had unzipped Eclipse into C:\Programs where I tend to put applications which unzip rather than install through a Setup progam. Anyway this appeared to resolve the issue and the ADT successfully installed. I’m not sure if this issue is just related to x64 Windows 7 or whether it occurs with x86 or even Vista for that matter. Disabling the UAC may also have resolved the problem.

5 comments:

  1. It is UAC. Eclipse wishes to store the ADT files under "c:\program files (x86)", and if you haven't started Eclipse as an Administrator OR if you haven't disabled UAC, Eclipse will not have permissions to store new files/forders in Program Files folder.

    ReplyDelete
  2. Simple...this url to the install new software...install anything which uses wst
    and ur done..i had the same problem for a while...

    http://download.eclipse.org/releases/galileo

    ReplyDelete
  3. Yeah same issue for me, it was UAC. Started Eclipse as administrator and it installed fine. I'm on Windows 7 x64 by the way ;o)

    ReplyDelete
  4. Had the same problem, solved with the same solution :)

    ReplyDelete
  5. Even today, writer Louise Perry’s upcoming book The Case Against the Sexual Revolution, argues that men are the ones to learn from intercourse and porn, with women compelled to accommodate their desires. If you comply with this line of thought, CNC is incompatible with sexual liberation. Those who practice consensual non-consent enjoy totally different aspects of it, and know it’s not just about bodily violence – though that does play an enormous half within the pleasure of it. top rated bidet “I want to be manhandled, and pinned down, however not choked within an inch of my life. I want to be compelled and held in position, however not punched till I bleed.

    ReplyDelete